---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass005.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50CE0, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52C20, symBinAddr: 0xE250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53010, symBinAddr: 0xE640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53FB0, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53FC0, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50800, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50804, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50808, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50960, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50A18, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50A1C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50A20, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50A24, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50A28, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50A30, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50A48, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50A50, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50A58, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50A60, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50A68, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50AB0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL16watch_ev_monitor, symObjAddr: 0x50AB8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL8watch_ev, symObjAddr: 0x50AC0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL11CFLH_gen_ev, symObjAddr: 0x50AC4, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL6gen_ev, symObjAddr: 0x50AC8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50AD0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x915B, offset: 0x915B, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50AE0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9174, offset: 0x9174, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50C18, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x91CD, offset: 0x91CD, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4260, symSize: 0x80 }
  - { offsetInCU: 0x9262, offset: 0x9262, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x41B0, symSize: 0xB0 }
  - { offsetInCU: 0x92BD, offset: 0x92BD, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x40B0, symSize: 0x100 }
  - { offsetInCU: 0x9550, offset: 0x9550, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x42E0, symSize: 0x220 }
  - { offsetInCU: 0x9735, offset: 0x9735, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4500, symSize: 0xA0 }
  - { offsetInCU: 0x97E8, offset: 0x97E8, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x45A0, symSize: 0x110 }
  - { offsetInCU: 0x98DE, offset: 0x98DE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x46B0, symSize: 0x150 }
  - { offsetInCU: 0x9A3B, offset: 0x9A3B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4800, symSize: 0x30 }
  - { offsetInCU: 0x9AFC, offset: 0x9AFC, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4830, symSize: 0x150 }
  - { offsetInCU: 0x9CF4, offset: 0x9CF4, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4980, symSize: 0x160 }
  - { offsetInCU: 0x9E80, offset: 0x9E80, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4AE0, symSize: 0x1B0 }
  - { offsetInCU: 0xA09B, offset: 0xA09B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4C90, symSize: 0xA0 }
  - { offsetInCU: 0xA196, offset: 0xA196, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4D30, symSize: 0x20 }
  - { offsetInCU: 0xA1CD, offset: 0xA1CD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4D50, symSize: 0x20 }
  - { offsetInCU: 0xA204, offset: 0xA204, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4D70, symSize: 0x20 }
  - { offsetInCU: 0xA373, offset: 0xA373, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4D90, symSize: 0x1A0 }
  - { offsetInCU: 0xA699, offset: 0xA699, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4F30, symSize: 0x80 }
  - { offsetInCU: 0xA762, offset: 0xA762, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4FB0, symSize: 0x6A0 }
  - { offsetInCU: 0xB2F7, offset: 0xB2F7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA1C0, symBinAddr: 0x6300, symSize: 0xB0 }
  - { offsetInCU: 0xB36E, offset: 0xB36E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5650, symSize: 0x70 }
  - { offsetInCU: 0xB42A, offset: 0xB42A, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x56C0, symSize: 0xA0 }
  - { offsetInCU: 0xB555, offset: 0xB555, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5760, symSize: 0x40 }
  - { offsetInCU: 0xB64B, offset: 0xB64B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x57A0, symSize: 0x2B0 }
  - { offsetInCU: 0xB9F1, offset: 0xB9F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5A50, symSize: 0xC0 }
  - { offsetInCU: 0xBB37, offset: 0xBB37, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5B10, symSize: 0x10 }
  - { offsetInCU: 0xBBF9, offset: 0xBBF9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5B20, symSize: 0x220 }
  - { offsetInCU: 0xBEF6, offset: 0xBEF6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5D40, symSize: 0x10 }
  - { offsetInCU: 0xBF4C, offset: 0xBF4C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5D50, symSize: 0x180 }
  - { offsetInCU: 0xC15C, offset: 0xC15C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D90, symBinAddr: 0x5ED0, symSize: 0x10 }
  - { offsetInCU: 0xC1B2, offset: 0xC1B2, size: 0x8, addend: 0x0, symName: _ClassFileLoadHook, symObjAddr: 0x9DA0, symBinAddr: 0x5EE0, symSize: 0x60 }
  - { offsetInCU: 0xC29A, offset: 0xC29A, size: 0x8, addend: 0x0, symName: _ClassLoad, symObjAddr: 0x9E00, symBinAddr: 0x5F40, symSize: 0x60 }
  - { offsetInCU: 0xC338, offset: 0xC338, size: 0x8, addend: 0x0, symName: _ClassPrepare, symObjAddr: 0x9E60, symBinAddr: 0x5FA0, symSize: 0x60 }
  - { offsetInCU: 0xC45A, offset: 0xC45A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass005_makeRedefinition, symObjAddr: 0x9EC0, symBinAddr: 0x6000, symSize: 0x300 }
  - { offsetInCU: 0xC7EE, offset: 0xC7EE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA270, symBinAddr: 0x63B0, symSize: 0x36A }
...
